<?php

// Theme Name
define('THEME_NAME', 'zeeMagazine');
define('THEME_INFO', 'http://themezee.com/zeeMagazine');

//Content Width
$content_width = 580;

//Load Styles and Scripts
add_action('wp_print_styles', 'themezee_stylesheets');
function themezee_stylesheets() { 
	wp_register_style('zee_stylesheet', get_stylesheet_directory_uri() . '/style.css');
	wp_enqueue_style( 'zee_stylesheet');
	
	$options = get_option('themezee_options');
	if ( $options['themeZee_stylesheet'] <> 'custom-color' and $options['themeZee_stylesheet'] != '' ) {
		$stylesheet = get_stylesheet_directory_uri() . '/includes/styles/' . $options['themeZee_stylesheet'];
		wp_register_style('zee_color_style', $stylesheet, array('zee_stylesheet'));
		wp_enqueue_style( 'zee_color_style');
	}
}
add_action('init', 'themezee_register_scripts');
function themezee_register_scripts() { 
	wp_register_script('zee_jquery-ui-min', get_template_directory_uri() .'/includes/js/jquery-ui-1.8.11.custom.min.js', array('jquery'));
	wp_register_script('zee_jquery-easing', get_template_directory_uri() .'/includes/js/jquery.easing.1.3.js', array('jquery', 'zee_jquery-ui-min'));
	wp_register_script('zee_jquery-cycle', get_template_directory_uri() .'/includes/js/jquery.cycle.all.min.js', array('jquery', 'zee_jquery-easing'));
	wp_register_script('zee_slidemenu', get_template_directory_uri() .'/includes/js/jquery.slidemenu.js', array('jquery', 'zee_jquery-cycle'));
}
add_action('wp_enqueue_scripts', 'themezee_enqueue_scripts');
function themezee_enqueue_scripts() { 
	wp_enqueue_script('jquery');
	wp_enqueue_script('zee_jquery-ui-min');
	wp_enqueue_script('zee_jquery-easing');
	wp_enqueue_script('zee_jquery-cycle');
	wp_enqueue_script('zee_slidemenu');
}
locate_template('/includes/js/jscript.php', true);
locate_template('/includes/styles/custom-css.php', true);

// include Admin Files
locate_template('/includes/admin/theme-settings.php', true);
locate_template('/includes/admin/theme-admin.php', true);

// Add Theme Functions
add_theme_support('post-thumbnails');
add_theme_support('automatic-feed-links');
add_custom_background();
add_editor_style();

// Add Custom Header
define('HEADER_TEXTCOLOR', '');
define('HEADER_IMAGE', get_stylesheet_directory_uri() . '/images/default_header.jpg');
define('HEADER_IMAGE_WIDTH', 950);
define('HEADER_IMAGE_HEIGHT', 120);
define('NO_HEADER_TEXT', true );

function header_style() {
    ?><style type="text/css">
        #custom_header img {
			margin-bottom: -3px;
			width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}
function admin_header_style() {
    ?><style type="text/css">
        #headimg {
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}
add_custom_image_header('header_style', 'admin_header_style');

// Register Sidebars
if ( function_exists('register_sidebar') ) {
	register_sidebar(array('name' => 'Sidebar Blog','id' => 'sidebar-blog'));
	register_sidebar(array('name' => 'Sidebar Pages','id' => 'sidebar-pages'));
	register_sidebar(array('name' => 'Footer','id' => 'sidebar-footer'));
}

// Register Menus
if ( function_exists( 'register_nav_menu' ) ) {
	register_nav_menu( 'top_navi', 'Top Navigation' );
	register_nav_menu( 'main_navi', 'Main Navigation' );
}

function display_pages() {
    echo '<ul>';
    wp_list_categories('title_li=&depth=1&number=4');
    echo '</ul>';
}

// include Plugin Files
locate_template('/includes/plugins/theme_ads_widget.php', true);

// Functions for correct html5 Validation
function html5_gallery($content)
{
	return str_replace('[gallery', '[gallery itemtag="div" icontag="span" captiontag="p"', $content);
}
add_filter('the_content', 'html5_gallery');
add_filter('gallery_style', create_function('$a', 'return preg_replace("%<style type=\'text/css\'>(.*?)</style>%s", "", $a);'));

function html5_embed($return, $data, $url)
{
	$search = '|></embed>|is';
	$replace = ' />';
	return preg_replace( $search, $replace, $return );
}
add_filter( 'oembed_dataparse', 'html5_embed', 10, 3);

function html5_elements($content)
{
	$content = str_replace('<acronym', '<abbr', $content);
	$content = str_replace('</acronym', '</abbr', $content);
	$content = str_replace('<big', '<span class="big_tag"', $content);
	$content = str_replace('</big', '</span', $content);
	$content = str_replace('<tt', '<span class="tt_tag"', $content);
	$content = str_replace('</tt', '</span', $content);
	return $content;
}
add_filter('the_content', 'html5_elements');
add_filter('comment_text', 'html5_elements');

?>