<?php
	
	$color_styles = array(
		'blue.css' => __('Голубая', ZEE_LANG),
		'brown.css' => __('Коричневая', ZEE_LANG),
		'darkblue.css' => __('Синяя', ZEE_LANG),
		'darkgreen.css' => __('Темно-зеленая', ZEE_LANG),
		'green.css' => __('Зеленая', ZEE_LANG),
		'grey.css' => __('Серая', ZEE_LANG),
		'purple.css' => __('Фиолетовая', ZEE_LANG),
		'red.css' => __('Красная', ZEE_LANG),
		'standard.css' => __('Оранжевая стандартная', ZEE_LANG),
		'custom-color' => __('Мой цвет', ZEE_LANG));

	$default_logo =  get_template_directory_uri() . '/images/logo.png';
	$default_banner = get_template_directory_uri() . '/images/ad_125x125.png';
	
	$sections = array();
	global $sections;
				
	$sections[] = array("id" => "themeZee_layout",
				"name" => __('Дизайн сайта', ZEE_LANG));
				
	$sections[] = array("id" => "themeZee_slider",
				"name" => __('Слайдер', ZEE_LANG));
				
	$sections[] = array("id" => "themeZee_buttons",
				"name" => __('Социальные медиа', ZEE_LANG));
				
	$sections[] = array("id" => "themeZee_banner",
				"name" => __('Баннер 125x125', ZEE_LANG));
				
	$sections[] = array("id" => "themeZee_bigbanner",
				"name" => __('Баннер 468x60 в шапке', ZEE_LANG));

	$settings = array();
	global $settings;
	
### LAYOUT SETTINGS
#######################################################################################
	$settings[] = array("name" => "Лого",
					"desc" => __('Полный путь к вашему логотипу.', ZEE_LANG),
					"id" => "themeZee_logo",
					"std" => $default_logo,
					"type" => "logo",
					"section" => "themeZee_layout");	
							
	$settings[] = array("name" => __('Текст в нижней части сайта', ZEE_LANG),
					"desc" => __('Введите текст, который хотите показать в нижней части сайта.', ZEE_LANG),
					"id" => "themeZee_footer",
					"std" => "Ваш текст здесь",
					"type" => "textarea",
					"section" => "themeZee_layout");
		
	$settings[] = array("name" => "Стиль темы",
					"desc" => __('Выберите цветовую схему.', ZEE_LANG),
					"id" => "themeZee_stylesheet",
					"std" => "standard.css",
					"type" => "select",
					'choices' => $color_styles,
					"section" => "themeZee_layout"
					);
	
	$settings[] = array("name" => __('Ваш цвет', ZEE_LANG),
					"desc" => __("Выберите собственный цвет здесь (должна быть включена опция Мой цвет выше).", ZEE_LANG),
					"id" => "themeZee_color",
					"std" => "000000",
					"type" => "colorpicker",
					"section" => "themeZee_layout");

	$settings[] = array("name" => __('Custom CSS', ZEE_LANG),
					"desc" => __('Вставьте свои собственные стили css, которые будут добавлены в секцию head вашей темы.', ZEE_LANG),
					"id" => "themeZee_custom_css",
					"std" => "",
					"type" => "textarea",
					"section" => "themeZee_layout");
					
### POST SLIDER SETTINGS
#######################################################################################
	$settings[] = array("name" => __('Показывать слайдер?', ZEE_LANG),
					"desc" => __('Отметьте, если хотите показывать слайдер.', ZEE_LANG),
					"id" => "themeZee_show_slider",
					"std" => "false",
					"type" => "checkbox",
					"section" => "themeZee_slider");
					
	$settings[] = array("name" => __('Заголовок слайдера', ZEE_LANG),
					"desc" => __('Введите заголовок, который будет показан над слайдером.', ZEE_LANG),
					"id" => "themeZee_slider_title",
					"std" => "Featured Posts",
					"type" => "text",
					"section" => "themeZee_slider");
					
	$settings[] = array("name" => "Эффект слайдера",
					"desc" => "",
					"id" => "themeZee_slider_mode",
					"std" => "0",
					"type" => "radio",
					'choices' => array(
								0 => 'Horizontal Slider',
								1 => 'DropDown Slider',
								2 => 'Fade Slider'),
					"section" => "themeZee_slider"
					);

	$settings[] = array("name" => __('Содержание слайдера', ZEE_LANG),
					"desc" => "",
					"id" => "themeZee_slider_content",
					"std" => "0",
					"type" => "radio",
					'choices' => array(
								0 => __('Показывать новые публикации', ZEE_LANG),
								1 => __('Показывать новые публикации из рубрики "featured"', ZEE_LANG),
								2 => __('Показывать новые публикации с произвольным полем "featured"', ZEE_LANG),
								3 => __('Показывать новые публикации из конкретной рубрики (введите ID ниже)', ZEE_LANG)),
					"section" => "themeZee_slider"
					);
					
	$settings[] = array("name" => __('category ID', ZEE_LANG),
					"desc" => __("Введите ID рубрики, записи из которой вы хотите показывать в слайдере. (Если вы включили опцию выше)", ZEE_LANG),
					"id" => "themeZee_slider_cat",
					"std" => "1",
					"type" => "text",
					"section" => "themeZee_slider");

	$settings[] = array("name" => __('Количесвто записей', ZEE_LANG),
					"desc" => __('Введите количество записей для показа в слайдере.', ZEE_LANG),
					"id" => "themeZee_slider_limit",
					"std" => "5",
					"type" => "text",
					"section" => "themeZee_slider");
	
### SOCIALMEDIA BUTTONS SETTINGS
#######################################################################################

	$settings[] = array("name" => "RSS URL",
					"desc" => __('Введите адрес вашей RSS-ленты (например, Feedburner).', ZEE_LANG),
					"id" => "themeZee_rss",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Email",
					"desc" => __('Введите адрес подписки по E-mail (например, через сервис Feedburner).', ZEE_LANG),
					"id" => "themeZee_email",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Twitter",
					"desc" => __('Введите адрес вашего профиля Twitter.', ZEE_LANG),
					"id" => "themeZee_twitter",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Facebook",
					"desc" => __('Введите адрес вашего профиля Facebook.', ZEE_LANG),
					"id" => "themeZee_facebook",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Tumblr",
					"desc" => __('Введите адрес вашего профиля Tumblr.', ZEE_LANG),
					"id" => "themeZee_tumblr",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");	
					
	$settings[] = array("name" => "LinkedIn",
					"desc" => __('Введите адрес вашего профиля LinkedIn.', ZEE_LANG),
					"id" => "themeZee_linkedin",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");	
					
	$settings[] = array("name" => "Xing",
					"desc" => __('Введите адрес вашего профиля Xing.', ZEE_LANG),
					"id" => "themeZee_xing",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");	
					
	$settings[] = array("name" => "Delicious",
					"desc" => __('Введите адрес вашего профиля Delicious.', ZEE_LANG),
					"id" => "themeZee_delicious",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Digg",
					"desc" => __('Введите адрес вашего профиля Digg.', ZEE_LANG),
					"id" => "themeZee_digg",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Flickr",
					"desc" => __('Введите адрес вашего профиля Flickr.', ZEE_LANG),
					"id" => "themeZee_flickr",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");	
					
	$settings[] = array("name" => "Youtube",
					"desc" => __('Введите адрес вашего профиля  Youtube.', ZEE_LANG),
					"id" => "themeZee_youtube",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
	$settings[] = array("name" => "Vimeo",
					"desc" => __('Введите адрес вашего профиля Vimeo.', ZEE_LANG),
					"id" => "themeZee_vimeo",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_buttons");
					
### 125x125 Banner SETTINGS
#######################################################################################	
	
	$settings[] = array("name" => __('Ротировать баннеры?', ZEE_LANG),
					"desc" => __('Отметьте, если хотите менять произвольно расположение баннеров.', ZEE_LANG),
					"id" => "themeZee_rotate",
					"std" => "false",
					"type" => "checkbox",
					"section" => "themeZee_banner");	

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #1',
					"desc" => __('Введите полный путь к картинке баннера.', ZEE_LANG),
					"id" => "themeZee_ad_image_1",
					"std" => $default_banner,
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" =>  __('Ссылка на сайт', ZEE_LANG) . ' #1',
					"desc" => __('Введите адрес, куда ведет баннер.', ZEE_LANG),
					"id" => "themeZee_ad_url_1",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #2',
					"desc" => "",
					"id" => "themeZee_ad_image_2",
					"std" => $default_banner,
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" => __('Ссылка на сайт', ZEE_LANG) . ' #2',
					"desc" => "",
					"id" => "themeZee_ad_url_2",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #3',
					"desc" => "",
					"id" => "themeZee_ad_image_3",
					"std" => $default_banner,
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" => __('Ссылка на сайт', ZEE_LANG) . ' #3',
					"desc" => "",
					"id" => "themeZee_ad_url_3",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #4',
					"desc" => "",
					"id" => "themeZee_ad_image_4",
					"std" => $default_banner,
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" => __('Ссылка на сайт', ZEE_LANG) . ' #4',
					"desc" => "",
					"id" => "themeZee_ad_url_4",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #5',
					"desc" => "",
					"id" => "themeZee_ad_image_5",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" => __('Ссылка на сайт', ZEE_LANG) . ' #5',
					"desc" => "",
					"id" => "themeZee_ad_url_5",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");

	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG) . ' #6',
					"desc" => "",
					"id" => "themeZee_ad_image_6",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");
						
	$settings[] = array("name" => __('Ссылка на сайт', ZEE_LANG) . ' #6',
					"desc" => "",
					"id" => "themeZee_ad_url_6",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_banner");
					
### 468x60 Banner SETTINGS
#######################################################################################	
					
	$settings[] = array("name" => __('Ссылка на изображение', ZEE_LANG),
					"desc" => __('Введите полный путь к картинке баннера.', ZEE_LANG),
					"id" => "themeZee_ad_big_image",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_bigbanner");
					
	$settings[] = array("name" =>  __('Ссылка на сайт', ZEE_LANG),
					"desc" => __('Введите адрес, куда ведет баннер.', ZEE_LANG),
					"id" => "themeZee_ad_big_url",
					"std" => "",
					"type" => "text",
					"section" => "themeZee_bigbanner");
?>